gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.DBusArgInfo

Contents

- Exported types
- Methods
  - ref
  - unref
- Properties
  - annotations
  - name
  - refCount
  - signature

Description

Information about an argument for a method or a signal.

Since: 2.26

Synopsis

- newtype DBusArgInfo = DBusArgInfo (ManagedPtr DBusArgInfo)
- newZeroDBusArgInfo :: MonadIO m => m DBusArgInfo
- noDBusArgInfo :: Maybe DBusArgInfo
- dBusArgInfoRef :: (HasCallStack, MonadIO m) => DBusArgInfo -> m DBusArgInfo
- dBusArgInfoUnref :: (HasCallStack, MonadIO m) => DBusArgInfo -> m ()
- clearDBusArgInfoAnnotations :: MonadIO m => DBusArgInfo -> m ()
- getDBusArgInfoAnnotations :: MonadIO m => DBusArgInfo -> m (Maybe [DBusAnnotationInfo])
- setDBusArgInfoAnnotations :: MonadIO m => DBusArgInfo -> Ptr (Ptr DBusAnnotationInfo) -> m ()
- clearDBusArgInfoName :: MonadIO m => DBusArgInfo -> m ()
- getDBusArgInfoName :: MonadIO m => DBusArgInfo -> m (Maybe Text)
- setDBusArgInfoName :: MonadIO m => DBusArgInfo -> CString -> m ()
- getDBusArgInfoRefCount :: MonadIO m => DBusArgInfo -> m Int32
- setDBusArgInfoRefCount :: MonadIO m => DBusArgInfo -> Int32 -> m ()
- clearDBusArgInfoSignature :: MonadIO m => DBusArgInfo -> m ()
- getDBusArgInfoSignature :: MonadIO m => DBusArgInfo -> m (Maybe Text)
- setDBusArgInfoSignature :: MonadIO m => DBusArgInfo -> CString -> m ()

# Exported types

newtype DBusArgInfo Source #

Memory-managed wrapper type.

Constructors

DBusArgInfo (ManagedPtr DBusArgInfo) |

Instances

BoxedObject DBusArgInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusArgInfo Methods boxedType :: DBusArgInfo -> IO GType Source #
tag ~ AttrSet => Constructible DBusArgInfo tag Source # |
Instance details Defined in GI.Gio.Structs.DBusArgInfo Methods new :: MonadIO m => (ManagedPtr DBusArgInfo -> DBusArgInfo) -> [AttrOp DBusArgInfo tag] -> m DBusArgInfo Source #

newZeroDBusArgInfo :: MonadIO m => m DBusArgInfo Source #

Construct a `DBusArgInfo` struct initialized to zero.

noDBusArgInfo :: Maybe DBusArgInfo Source #

A convenience alias for `Nothing` :: `Maybe` `DBusArgInfo`.

# Methods

## ref

dBusArgInfoRef Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DBusArgInfo | `info`: A `DBusArgInfo`
-> m DBusArgInfo | Returns: The same `info`.

If `info` is statically allocated does nothing. Otherwise increases the reference count.

Since: 2.26

## unref

dBusArgInfoUnref Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DBusArgInfo | `info`: A `DBusArgInfo`.
-> m () |

If `info` is statically allocated, does nothing. Otherwise decreases the reference count of `info`. When its reference count drops to 0, the memory used is freed.

Since: 2.26

# Properties

## annotations

A pointer to a `Nothing`-terminated array of pointers to `DBusAnnotationInfo` structures or `Nothing` if there are no annotations.

clearDBusArgInfoAnnotations :: MonadIO m => DBusArgInfo -> m () Source #

Set the value of the “`annotations`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #annotations

getDBusArgInfoAnnotations :: MonadIO m => DBusArgInfo -> m (Maybe [DBusAnnotationInfo]) Source #

Get the value of the “`annotations`” field. When overloading is enabled, this is equivalent to

    get dBusArgInfo #annotations

setDBusArgInfoAnnotations :: MonadIO m => DBusArgInfo -> Ptr (Ptr DBusAnnotationInfo) -> m () Source #

Set the value of the “`annotations`” field. When overloading is enabled, this is equivalent to

    set dBusArgInfo [ #annotations := value ]

## name

Name of the argument, e.g. `unixUserId`.

clearDBusArgInfoName :: MonadIO m => DBusArgInfo -> m () Source #

Set the value of the “`name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #name

getDBusArgInfoName :: MonadIO m => DBusArgInfo -> m (Maybe Text) Source #

Get the value of the “`name`” field. When overloading is enabled, this is equivalent to

    get dBusArgInfo #name

setDBusArgInfoName :: MonadIO m => DBusArgInfo -> CString -> m () Source #

Set the value of the “`name`” field. When overloading is enabled, this is equivalent to

    set dBusArgInfo [ #name := value ]

## refCount

The reference count or -1 if statically allocated.

getDBusArgInfoRefCount :: MonadIO m => DBusArgInfo -> m Int32 Source #

Get the value of the “`ref_count`” field. When overloading is enabled, this is equivalent to

    get dBusArgInfo #refCount

setDBusArgInfoRefCount :: MonadIO m => DBusArgInfo -> Int32 -> m () Source #

Set the value of the “`ref_count`” field. When overloading is enabled, this is equivalent to

    set dBusArgInfo [ #refCount := value ]

## signature

D-Bus signature of the argument (a single complete type).

clearDBusArgInfoSignature :: MonadIO m => DBusArgInfo -> m () Source #

Set the value of the “`signature`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #signature

getDBusArgInfoSignature :: MonadIO m => DBusArgInfo -> m (Maybe Text) Source #

Get the value of the “`signature`” field. When overloading is enabled, this is equivalent to

    get dBusArgInfo #signature

setDBusArgInfoSignature :: MonadIO m => DBusArgInfo -> CString -> m () Source #

Set the value of the “`signature`” field. When overloading is enabled, this is equivalent to

    set dBusArgInfo [ #signature := value ]